\textbf{Rutinas auxiliares}

Leonel Fonseca. 2010.

\begin{code}
{-# OPTIONS  -fglasgow-exts       #-}
{-# LANGUAGE OverlappingInstances #-}

module Database.TA.Helper.TH where

import Control.Monad.Trans (liftIO)
import Database.Oracle.Enumerator
import Language.Haskell.TH

\end{code} 

import Control.Monad.State.Strict
import Control.Monad (liftM)
import Control.Monad.Trans (liftIO, lift)


\bigskip

Rutina para imprimir un mensaje desde la mónada @DBM@.

\begin{code}

pr x =  liftIO ( putStrLn x )

\end{code}


Para ver código de la mónada Q.

\begin{code}

verCodigo q = runQ q >>= putStrLn . pprint

verAST    q = runQ q

\end{code}

